/*
 * @(#)RoundLight.java	1.00 14th March 1999
 * 
 * Modification Log:
 *
 */

import java.awt.*;


/**
 * A simple control that can be used as a status indicator.
 * Displays a circular light with foreground color.
 * 
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 14th March, 1999
 */

public class RoundLight extends java.awt.Canvas
{
    protected int   iBorderWidth=5;
    public Color    colorBorder;
    
    public void paint(Graphics gGraphics)
    {
        if (null == colorBorder)
        {
            colorBorder = getBackground().brighter();
        }
        Dimension size = getSize();
        gGraphics.setColor(getBackground());
        gGraphics.fillRect(0, 0, size.width, size.height);
        gGraphics.setColor(colorBorder);
        gGraphics.fillOval(0, 0, size.width, size.height);
        gGraphics.setColor(getForeground());
        gGraphics.fillOval(iBorderWidth, iBorderWidth, size.width-2*iBorderWidth, size.height-2*iBorderWidth);
    }
    
    public Dimension getPreferredSize()
    {
        return new Dimension(6*iBorderWidth, 6*iBorderWidth);
    }
    
    public Dimension getMinimumSize()
    {
        return new Dimension(6*iBorderWidth, 6*iBorderWidth);
    }
}
