/**
 * This class can take a variable number of parameters on the command
 * line. Program execution begins with the main() method. The class
 * constructor is not invoked unless an object of type 'Class1'
 * created in the main() method.
 */

import java.awt.*;

public class SimpleControls
{
	/**
	 * The main entry point for the application. 
	 *
	 * @param args Array of parameters passed to the application
	 * via the command line.
	 */
	public static void main (String[] args)
	{
		// TODO: Add initialization code here
        Frame frame = new Frame();
        frame.setLayout(new FlowLayout(FlowLayout.CENTER, 10, 20));
        frame.setBackground(Color.black);
        
        LadderControl lc = new LadderControl(4);
        lc.colorBorder = Color.red;
        lc.colorBackgr = Color.black;
        lc.colorSeparator = Color.red;
        lc.colorHeading = Color.green;
        lc.colorValue = Color.yellow;
        lc.setHeadingFont(Font.decode("Helvetica-Bold-10"));
        lc.setDataFont(Font.decode("Helvetica-Plain-10"));
        
        lc.setData("Head1", "data1", 0);
        lc.setData("Head2", "data2", 1);
        lc.setData("Head3", "data3", 2);
        lc.setData("Head4", "data4", 3);
        frame.add(lc);
        
        RoundLight rl = new RoundLight();
        rl.colorBorder = Color.gray;
        rl.setBackground(Color.black);
        rl.setForeground(Color.green);
        frame.add(rl);

        RoundButton rb = new RoundButton();
        rb.colorBorder = Color.gray;
        rb.setText(">>");
        rb.setFont(Font.decode("Helvetica-Bold-12"));
        rb.setBackground(Color.black);
        rb.setForeground(Color.yellow);
        frame.add(rb);

        TanSpinner ts = new TanSpinner("Refresh every", "min", 20, 2);
        ts.setBackground(Color.gray);
        ts.setForeground(Color.white);
        frame.add(ts);
        
        frame.pack();
        frame.show();
	}
}
